import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { BusCouponInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface BusCouponInfoCU extends ConditionUtil<BusCouponInfoCU> {
    ID: FieldUtil<BusCouponInfoCU>;
    COUPON_CONFIG_ID: FieldUtil<BusCouponInfoCU>;
    USER_ID: FieldUtil<BusCouponInfoCU>;
    SHARE_TIME: FieldUtil<BusCouponInfoCU>;
    CREATE_TIME: FieldUtil<BusCouponInfoCU>;
    UPDATE_TIME: FieldUtil<BusCouponInfoCU>;
    ORDER_NO: FieldUtil<BusCouponInfoCU>;
    LOT_ID: FieldUtil<BusCouponInfoCU>;
}
declare class BusCouponInfoMU extends TableUtilImpl<BusCouponInfoCU, BusCouponInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): BusCouponInfoCU;
    static get ID(): FieldUtil<BusCouponInfoCU>;
    static get COUPON_CONFIG_ID(): FieldUtil<BusCouponInfoCU>;
    static get USER_ID(): FieldUtil<BusCouponInfoCU>;
    static get SHARE_TIME(): FieldUtil<BusCouponInfoCU>;
    static get CREATE_TIME(): FieldUtil<BusCouponInfoCU>;
    static get UPDATE_TIME(): FieldUtil<BusCouponInfoCU>;
    static get ORDER_NO(): FieldUtil<BusCouponInfoCU>;
    static get LOT_ID(): FieldUtil<BusCouponInfoCU>;
    static get U_USER_ID(): FieldInfo;
    static get U_STATUS(): FieldInfo;
    static get C_BEGIN_DATE(): FieldInfo;
    static get C_END_DATE(): FieldInfo;
    static get C_STATUS(): FieldInfo;
    get ID(): FieldUtil<BusCouponInfoCU>;
    get COUPON_CONFIG_ID(): FieldUtil<BusCouponInfoCU>;
    get USER_ID(): FieldUtil<BusCouponInfoCU>;
    get SHARE_TIME(): FieldUtil<BusCouponInfoCU>;
    get CREATE_TIME(): FieldUtil<BusCouponInfoCU>;
    get UPDATE_TIME(): FieldUtil<BusCouponInfoCU>;
    get ORDER_NO(): FieldUtil<BusCouponInfoCU>;
    get LOT_ID(): FieldUtil<BusCouponInfoCU>;
    get U_USER_ID(): FieldInfo;
    get U_STATUS(): FieldInfo;
    get C_BEGIN_DATE(): FieldInfo;
    get C_END_DATE(): FieldInfo;
    get C_STATUS(): FieldInfo;
}
export { BusCouponInfoMU, BusCouponInfoCU };
